Results 1 to 7 of 7

Thread: Error: Tried to install on friends FC4 but nothing seemed to work

  1. #1
    Join Date
    Jan 2007
    Posts
    13

    Default Error: Tried to install on friends FC4 but nothing seemed to work

    Hi again,

    After the success with Fedora Core 6 (Thanks Micheal) I tried to give the ATI driver a go on my friends FC4 PC. It all went very nicely with these steps...

    1: Downloaded current ATI Installer

    2: Made Fedora/FC4 packages

    3: Installed them all and the required dependency (compat-libstdc++-33)

    4: Ran aticonfig --force --initial

    5: Edited xorg.conf to add...

    Section "Extensions"
    Option "Composite" "false"
    EndSection

    6: Restarted

    However after running fglrxinfo it just said MESA and no 3D acceleration was avaliable for UT2003

    Any ideas on this one?

  2. #2

    Default

    Just to let you know, you don't need to specify Composite disable, since Fedora Core 4 is using X.Org 6.8.2 (Composite is enabled by default in X.Org 7.1, which is why you need to disable it since it's not presently supported by fglrx).

    Also, if you simply run the graphical installer with Fedora Core 4 (instead of buildpkg), it should work fine there.

    What errors do you see in your Xorg.0.log?

    What graphics card is he/she running?

  3. #3
    Join Date
    Jan 2007
    Posts
    13

    Default

    Oh? how come the ATI installer works for FC4 but not FC6? I know that the very old ATI driver worked on Fedora Core 3 back in the days of fglrxconfig (before aticonfig came along and gave me problems)

    He is using an ATI mobility 9700, on the same make and model of laptop as me. (Novatech Neptune Elite) I have told him to upgrade to a later version but he started winging about backing up and reinstalling his stuff

    He sent me the log (/var/log/xorg.0.log)

    I can see this error

    (WW) fglrx(0): ***********************************************
    (WW) fglrx(0): * DRI initialization failed! *
    (WW) fglrx(0): * (maybe driver kernel module missing or bad) *
    (WW) fglrx(0): * 2D acceleraton available (MMIO) *
    (WW) fglrx(0): * no 3D acceleration available *
    (WW) fglrx(0): ********************************************* *

    Seems that DRI is being daft...

    There is also this error...

    (WW) Open APM failed (/dev/apm_bios) (No such file or directory)

    Does this help at all?

    Full log is at http://xile.servehttp.com/Xorg.0.log
    Last edited by Karsten; 01-05-2007 at 12:41 PM.

  4. #4

    Default

    Those are only warnings, not errors...

    It looks that the problem lies with:

    (EE) fglrx(0): [agp] unable to acquire AGP, error "xf86_ENODEV"
    (EE) fglrx(0): cannot init AGP

    The graphical installer will work in that situation due to X.Org 6.8.2, etc... Sort of hard to explain unless you have experience with development and the ATI installer design.

  5. #5
    Join Date
    Jan 2007
    Posts
    13

    Default

    Hmm what do you rekon I should do?

    xf86_ENODEV... Has that got something to do with the ATI-fglrx-devel package?

    I have installed using the installer and ran aticonfig --force --initial...

    the log still has the same error...

    I wonder if this is connected to that external AGPGART thing...

    If it is do i need to enter something into the xorg.conf or some other file? i tried to start up the pc with agp=off but it didn't work... just got a black screen
    Last edited by Karsten; 01-05-2007 at 01:09 PM.

  6. #6

    Default

    Is agpgart loaded on the machine?

    Has he tried updating his kernel?

  7. #7
    Join Date
    Jan 2007
    Posts
    13

    Default

    I went into /proc/modules on his laptop but I couldnt see anything to do with agp or whatnot...

    He hasn't updated the kernel its pretty much a vanilla install... Apart from all his shit

    Hmmm... I can't think of how to solve this... Perhaps I can use this as a way to get him to update to Fedora Core 6
    Last edited by Karsten; 01-05-2007 at 02:37 PM.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •